# Just a wild guess...
%define _requires_exceptions perl(English)\\|perl(SNMP)\\|perl(a)

%define snap	20041220

%define nsusr nagios
%define nsgrp nagios

Summary:	Host/service/network monitoring program plugins for Nagios
Name:		nagios-plugins
Version:	1.4
Release:	%mkrel 6
License:	GPL
Group:		Networking/Other
URL:		http://nagiosplug.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/nagiosplug/%{name}-%{version}.tar.bz2
Patch0:		nagios-plugins-1.4.0-20040930-check_ntp.diff.bz2
Patch1:		nagios-plugins-1.4-no_buggy_locales.diff.bz2
Patch2:		nagios-plugins-1.4-certverify_CAfile.diff.bz2
Patch3:		nagios-plugins-1.4_mysql41-slave-fix.diff.bz2
PreReq:		rpm-helper
# we seem to need zillions of requires and buildrequires, 
# well fine as long as it does the trick...
Requires:	bind-utils
Requires:	fileutils
Requires:	fping
Requires:	gawk
Requires:	grep
Requires:	net-snmp-utils
Requires:	ntp
Requires:	nut
Requires:	perl
Requires:	python
Requires:	samba-client
Requires:	shadow-utils
Requires:	textutils
Requires:	traceroute
Requires:	mrtg
BuildRequires:	MySQL-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	bind-utils
BuildRequires:	fileutils
BuildRequires:	fping
BuildRequires:	gawk
BuildRequires:	gettext-devel
BuildRequires:	grep
BuildRequires:	libsasl-devel
BuildRequires:	net-snmp-utils
BuildRequires:	ntp
BuildRequires:	nut
BuildRequires:	openldap-devel
BuildRequires:	openssh-clients
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	perl
BuildRequires:	postgresql-devel
BuildRequires:	python
BuildRequires:	radiusclient-devel
BuildRequires:	samba-client
BuildRequires:	shadow-utils
BuildRequires:	textutils
BuildRequires:	traceroute
BuildRequires:	zlib-devel
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a Unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios.

This package contains the basic plugins necessary for use with the
Nagios package.  This package should install cleanly on almost any
RPM-based system.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# unpack the extra (not all) contrib packages
mkdir -p extra-plugins
pushd extra-plugins
tar -zxf ../contrib/tarballs/check_bgp-1.0.tar.gz
tar -zxf ../contrib/tarballs/check_memory.tgz
popd

# fix perl path
find . -type f -exec /usr/bin/perl -e 's/^#!\/usr\/local\/bin\/perl/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -type f -exec /usr/bin/perl -e 's/^#!\/nyet\/bin\/perl/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -type f -exec /usr/bin/perl -e 's/^#!\/bin\/perl/#!\/usr\/bin\/perl/gi' -p -i \{\} \;

# the gawk script is borked...
pushd plugins-scripts
find * -name '*.pl' | while read pl; do
    perl -pi -e "s|^use lib utils.pm;|use lib %{_libdir}/nagios/plugins;|g" $pl
    perl -pi -e "s|/usr/lib/nagios/plugins|%{_libdir}/nagios/plugins|g" $pl
done
popd

# fix general paths (what a mess!)
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/local/bin|%{_bindir}|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/local/libexec/nagios|%{_libdir}/nagios/plugins|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/libexec/nagios/plugins|%{_libdir}/nagios/plugins|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/local/nagios/var|%{_var}/log/nagios|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/local/netsaint/etc/tmp|/tmp|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/local/nagios/etc|%{_sysconfdir}/nagios|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/local/nagios/libexec|%{_libdir}/nagios/plugins|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/opt/nagios/libexec|%{_libdir}/nagios/plugins|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/local/nagios/bin/nagios|%{_bindir}/nagios|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/local/nagios|%{_prefix}|g" \{\} \;
find . -type f -exec /usr/bin/perl -pi -e "s|/usr/lib/nagios/plugins|%{_libdir}/nagios/plugins|g" \{\} \;

%build
export WANT_AUTOCONF_2_5="1"
autopoint --force && aclocal-1.7 -I m4 && autoheader && automake-1.7 --add-missing --force-missing --copy && autoconf

export PATH_TO_DIG=/usr/bin/dig
export PATH_TO_FPING=/bin/fping
export PATH_TO_HOST=/usr/bin/host
export PATH_TO_LMSTAT=
export PATH_TO_LSPS=
export PATH_TO_MAILQ=/usr/bin/mailq
export PATH_TO_NSLOOKUP=/usr/bin/nslookup
export PATH_TO_NTPDATE=/usr/sbin/ntpdate
export PATH_TO_NTPDC=/usr/sbin/ntpdc
export PATH_TO_NTPQ=/usr/sbin/ntpq
export PATH_TO_PING=/bin/ping
export PATH_TO_PING6=/usr/bin/ping6
export PATH_TO_PS=/bin/ps
export PATH_TO_QMAIL_QSTAT=/var/qmail/bin/qmail-qstat
export PATH_TO_QSTAT=/usr/bin/qstat
export PATH_TO_QUAKESTAT=
export PATH_TO_RPCINFO=/usr/sbin/rpcinfo
export PATH_TO_SMBCLIENT=/usr/bin/smbclient
export PATH_TO_SNMPGET=/usr/bin/snmpget
export PATH_TO_SNMPGETNEXT=/usr/bin/snmpgetnext
export PATH_TO_SSH=/usr/bin/ssh
export PATH_TO_SWAP=
export PATH_TO_SWAPINFO=
export PATH_TO_UPTIME=/usr/bin/uptime
export PATH_TO_WHO=/usr/bin/who

%configure2_5x \
    --libexecdir=%{_libdir}/nagios/plugins \
    --disable-rpath \
    --with-cgiurl=/nagios/cgi-bin \
    --with-nagios-user=%{nsusr} \
    --with-nagios-grp=%{nsgrp} \
    --with-trusted-path="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin" \
    --with-openssl=%{_prefix} \
    --with-pgsql=%{_prefix} \
    --with-mysql=%{_prefix}

find . -type f -name "Makefile" -exec /usr/bin/perl -pi -e "s|-L/usr/lib|-L%{_libdir}|g" \{\} \;

#    --without-included-gettext \
#    --with-libintl-prefix=%{_prefix}

# anti recheck hack
touch *

# do this the hard way as it is not fool proof as is...
cat >> config.h << EOF
#define USE_IPV6 1
#define PING6_COMMAND "/usr/bin/ping6 -n -U -c %d %s"
#define PING6_PACKETS_FIRST 1
#define PING_COMMAND "/bin/ping -n -U -w %d -c %d %s"
#define PING_HAS_TIMEOUT 1
#define PING_PACKETS_FIRST 1
#define PS_COLS 8
#define PS_COMMAND "/bin/ps axwo 'stat uid ppid vsz rss pcpu comm args'"
#define PS_FORMAT "%s %d %d %d %d %f %s %n"
#define PS_VARLIST procstat,&procuid,&procppid,&procvsz,&procrss,&procpcpu,procprog,&pos
EOF

%make \
    CPPFLAGS="-I%{_includedir}/ldap -I%{_includedir}/mysql -I%{_includedir}/pgsql -I%{_includedir}/openssl" \
    CFLAGS="%{optflags}" \
    LDFLAGS="-L. -L%{_libdir}"

%make -C plugins \
    CPPFLAGS="-I%{_includedir}/ldap -I%{_includedir}/mysql -I%{_includedir}/pgsql -I%{_includedir}/openssl" \
    CFLAGS="%{optflags}" \
    LDFLAGS="-L. -L%{_libdir}" check_ide_smart

# make the extra plugins
pushd extra-plugins
    make -C check_memory CFLAGS="%{optflags} -DVERSION=\\\"1\\\" -DSUBVERSION=\\\"0\\\""
popd

gcc %{optflags} -o contrib/check_cluster contrib/check_cluster2.c

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d -m0755 %{buildroot}%{_sysconfdir}/nagios
install -d -m0755 %{buildroot}%{_libdir}/nagios/plugins/contrib

make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=%{buildroot} install

install -m0755 contrib/check* %{buildroot}%{_libdir}/nagios/plugins/contrib/

# install the extra plugins
pushd extra-plugins
    install -m0755 check_memory/check_memory %{buildroot}%{_libdir}/nagios/plugins/contrib/
    install -m0755 check-bgp-1.0/check_bgp %{buildroot}%{_libdir}/nagios/plugins/contrib/
    cp check-bgp-1.0/README ../README.check-bgp
popd
cp contrib/README.TXT .

install -m0755 contrib/check_cluster %{buildroot}%{_libdir}/nagios/plugins/contrib/
install -m0755 plugins/check_ide_smart %{buildroot}%{_libdir}/nagios/plugins/

# install the config file
install -m0644 command.cfg %{buildroot}%{_sysconfdir}/nagios/

# don't ship dev files
rm %{buildroot}%{_libdir}/nagios/plugins/contrib/*.c

# house cleaning...
# we don't have any oracle stuff in Mandrake, so don't ship none...
rm -f %{buildroot}%{_libdir}/nagios/plugins/contrib/check_ora_table_space.pl
rm -f %{buildroot}%{_libdir}/nagios/plugins/contrib/check_oracle_instance.pl
rm -f %{buildroot}%{_libdir}/nagios/plugins/contrib/check_oracle.sh
rm -f %{buildroot}%{_libdir}/nagios/plugins/contrib/check_oracle_tbs
# this one is outdated
rm -f %{buildroot}%{_libdir}/nagios/plugins/contrib/check_rrd_data.pl

%find_lang %{name}

%pre
%_pre_useradd %{nsusr} /var/log/nagios /bin/sh

%postun
%_postun_userdel %{nsusr}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS CODING ChangeLog FAQ LEGAL NEWS README* REQUIREMENTS SUPPORT
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/nagios/command.cfg
%defattr(755,root,root)
%dir %{_libdir}/nagios/plugins
%dir %{_libdir}/nagios/plugins/contrib
# list them all so it's easier to see what's new/missing while building
%{_libdir}/nagios/plugins/check_breeze
%{_libdir}/nagios/plugins/check_by_ssh
%{_libdir}/nagios/plugins/check_dhcp
%{_libdir}/nagios/plugins/check_dig
%{_libdir}/nagios/plugins/check_disk
%{_libdir}/nagios/plugins/check_disk_smb
%{_libdir}/nagios/plugins/check_dns
%{_libdir}/nagios/plugins/check_dummy
%{_libdir}/nagios/plugins/check_file_age
%{_libdir}/nagios/plugins/check_flexlm
%{_libdir}/nagios/plugins/check_fping
%{_libdir}/nagios/plugins/check_ftp
%{_libdir}/nagios/plugins/check_hpjd
%{_libdir}/nagios/plugins/check_http
%{_libdir}/nagios/plugins/check_icmp
%{_libdir}/nagios/plugins/check_ide_smart
%{_libdir}/nagios/plugins/check_ifoperstatus
%{_libdir}/nagios/plugins/check_ifstatus
%{_libdir}/nagios/plugins/check_imap
%{_libdir}/nagios/plugins/check_ircd
%{_libdir}/nagios/plugins/check_jabber
%{_libdir}/nagios/plugins/check_ldap
%{_libdir}/nagios/plugins/check_ldaps
%{_libdir}/nagios/plugins/check_load
%{_libdir}/nagios/plugins/check_log
%{_libdir}/nagios/plugins/check_mailq
%{_libdir}/nagios/plugins/check_mrtg
%{_libdir}/nagios/plugins/check_mrtgtraf
%{_libdir}/nagios/plugins/check_mysql
%{_libdir}/nagios/plugins/check_nagios
%{_libdir}/nagios/plugins/check_nntp
%{_libdir}/nagios/plugins/check_nntps
%{_libdir}/nagios/plugins/check_nt
%{_libdir}/nagios/plugins/check_ntp
%{_libdir}/nagios/plugins/check_nwstat
%{_libdir}/nagios/plugins/check_oracle
%{_libdir}/nagios/plugins/check_overcr
%{_libdir}/nagios/plugins/check_pgsql
%{_libdir}/nagios/plugins/check_ping
%{_libdir}/nagios/plugins/check_pop
%{_libdir}/nagios/plugins/check_procs
%{_libdir}/nagios/plugins/check_radius
%{_libdir}/nagios/plugins/check_real
%{_libdir}/nagios/plugins/check_rpc
%{_libdir}/nagios/plugins/check_sensors
%{_libdir}/nagios/plugins/check_simap
%{_libdir}/nagios/plugins/check_smtp
%{_libdir}/nagios/plugins/check_snmp
%{_libdir}/nagios/plugins/check_spop
%{_libdir}/nagios/plugins/check_ssh
%{_libdir}/nagios/plugins/check_swap
%{_libdir}/nagios/plugins/check_tcp
%{_libdir}/nagios/plugins/check_time
%{_libdir}/nagios/plugins/check_udp
%{_libdir}/nagios/plugins/check_udp2
%{_libdir}/nagios/plugins/check_ups
%{_libdir}/nagios/plugins/check_users
%{_libdir}/nagios/plugins/check_wave
%{_libdir}/nagios/plugins/negate
%{_libdir}/nagios/plugins/urlize
%{_libdir}/nagios/plugins/utils.pm
%{_libdir}/nagios/plugins/utils.sh
%{_libdir}/nagios/plugins/contrib/check_adptraid.sh
%{_libdir}/nagios/plugins/contrib/check_apache.pl
%{_libdir}/nagios/plugins/contrib/check_apc_ups.pl
%{_libdir}/nagios/plugins/contrib/check_appletalk.pl
%{_libdir}/nagios/plugins/contrib/check_axis.sh
%{_libdir}/nagios/plugins/contrib/check_backup.pl
%{_libdir}/nagios/plugins/contrib/check_bgp
%{_libdir}/nagios/plugins/contrib/check_bgpstate.pl
%{_libdir}/nagios/plugins/contrib/check_breeze.pl
%{_libdir}/nagios/plugins/contrib/check_cluster
%{_libdir}/nagios/plugins/contrib/check_compaq_insight.pl
%{_libdir}/nagios/plugins/contrib/check_digitemp.pl
%{_libdir}/nagios/plugins/contrib/check_disk_snmp.pl
%{_libdir}/nagios/plugins/contrib/check_dl_size.pl
%{_libdir}/nagios/plugins/contrib/check_dlswcircuit.pl
%{_libdir}/nagios/plugins/contrib/check_dns_random.pl
%{_libdir}/nagios/plugins/contrib/check_email_loop.pl
%{_libdir}/nagios/plugins/contrib/check_flexlm.pl
%{_libdir}/nagios/plugins/contrib/check_ftpget.pl
%{_libdir}/nagios/plugins/contrib/check_hprsc.pl
%{_libdir}/nagios/plugins/contrib/check_hw.sh
%{_libdir}/nagios/plugins/contrib/check_inodes-freebsd.pl
%{_libdir}/nagios/plugins/contrib/check_inodes.pl
%{_libdir}/nagios/plugins/contrib/check_javaproc.pl
%{_libdir}/nagios/plugins/contrib/check_joy.sh
%{_libdir}/nagios/plugins/contrib/check_linux_raid.pl
%{_libdir}/nagios/plugins/contrib/check_lmmon.pl
%{_libdir}/nagios/plugins/contrib/check_log2.pl
%{_libdir}/nagios/plugins/contrib/check_maxchannels.pl
%{_libdir}/nagios/plugins/contrib/check_maxwanstate.pl
%{_libdir}/nagios/plugins/contrib/check_mem.pl
%{_libdir}/nagios/plugins/contrib/check_memory
%{_libdir}/nagios/plugins/contrib/check_ms_spooler.pl
%{_libdir}/nagios/plugins/contrib/check_mssql.sh
%{_libdir}/nagios/plugins/contrib/check_mysql.pl
%{_libdir}/nagios/plugins/contrib/check_nagios.pl
%{_libdir}/nagios/plugins/contrib/check_nagios_db.pl
%{_libdir}/nagios/plugins/contrib/check_nagios_db_pg.pl
%{_libdir}/nagios/plugins/contrib/check_netapp.pl
%{_libdir}/nagios/plugins/contrib/check_nmap.py
%{_libdir}/nagios/plugins/contrib/check_nwstat.pl
%{_libdir}/nagios/plugins/contrib/check_pop3.pl
%{_libdir}/nagios/plugins/contrib/check_procl.sh
%{_libdir}/nagios/plugins/contrib/check_procr.sh
%{_libdir}/nagios/plugins/contrib/check_qmailq.pl
%{_libdir}/nagios/plugins/contrib/check_remote_nagios_status.pl
%{_libdir}/nagios/plugins/contrib/check_sap.sh
%{_libdir}/nagios/plugins/contrib/check_smb.sh
%{_libdir}/nagios/plugins/contrib/check_snmp_disk_monitor.pl
%{_libdir}/nagios/plugins/contrib/check_snmp_printer.pl
%{_libdir}/nagios/plugins/contrib/check_snmp_process_monitor.pl
%{_libdir}/nagios/plugins/contrib/check_snmp_procs.pl
%{_libdir}/nagios/plugins/contrib/check_sockets.pl
%{_libdir}/nagios/plugins/contrib/check_sybase
%{_libdir}/nagios/plugins/contrib/check_vcs.pl
%{_libdir}/nagios/plugins/contrib/check_wave.pl
%{_libdir}/nagios/plugins/contrib/check_wins.pl
%{_libdir}/nagios/plugins/contrib/checkciscotemp.pl
%{_libdir}/nagios/plugins/contrib/check_arping.pl
%{_libdir}/nagios/plugins/contrib/check_asterisk.pl
%{_libdir}/nagios/plugins/contrib/check_fan_cpq_present
%{_libdir}/nagios/plugins/contrib/check_fan_fsc_present
%{_libdir}/nagios/plugins/contrib/check_frontpage
%{_libdir}/nagios/plugins/contrib/check_ica_master_browser.pl
%{_libdir}/nagios/plugins/contrib/check_ica_metaframe_pub_apps.pl
%{_libdir}/nagios/plugins/contrib/check_ica_program_neigbourhood.pl
%{_libdir}/nagios/plugins/contrib/check_lotus.pl
%{_libdir}/nagios/plugins/contrib/check_mysqlslave.pl
%{_libdir}/nagios/plugins/contrib/check_pcpmetric.py
%{_libdir}/nagios/plugins/contrib/check_pfstate
%{_libdir}/nagios/plugins/contrib/check_smart.pl
%{_libdir}/nagios/plugins/contrib/check_temp_cpq
%{_libdir}/nagios/plugins/contrib/check_temp_fsc
%{_libdir}/nagios/plugins/contrib/check_traceroute-pure_perl.pl
%{_libdir}/nagios/plugins/contrib/check_traceroute.pl

%changelog
* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4-6mdk
- rebuilt against new openldap-2.3.6 libs

* Wed Apr 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.4-5mdk
- fix #15542
- strip away annoying ^M

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4-4mdk
- more spec file hacks to overcome autotools screwups

* Sun Apr 03 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4-3mdk
- use the %%mkrel macro

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4-2mdk
- added P2 & P3 from the patches section at the sf site
- make it compile on x86_64
- fix deps

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.4-1mdk
- 1.4
- drop buggy locales (P1) (#12740)
- use epoch 1 for a smooth upgrade

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.0-0.20041220.6mdk
- rebuild for ldap2.2_7

* Fri Feb  4 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.5mdk
- rebuilt against new openldap libs

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.4mdk
- rebuilt against MySQL-4.1.x system libs

* Mon Dec 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.3mdk
- fix deps

* Mon Dec 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.2mdk
- fix deps

* Mon Dec 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041220.1mdk
- 20041220
- we seem to need zillions of buildrequires
- fix deps
- misc spec file fixes

* Wed Dec 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041201.1mdk
- 20041201
- build and install some of the extra plugins

* Fri Nov 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20041126.1mdk
- 20041126
- misc spec file fixes

* Thu Nov 25 2004 Michael Scherer <misc@mandrake.org> 1.4.0-0.20040930.5mdk
- Remove qstat requirements ( as check_game is not in this package )

* Thu Oct 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040930.4mdk
- fix a bug in the check_ntp perl script, spotted by Roger Wernersson

* Thu Oct 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040930.3mdk
- fix paths everywhere (what a mess!)

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040930.2mdk
- fix a bug in the perl scripts, spotted by Roger Wernersson

* Thu Sep 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040930.1mdk
- use a recent snap
- remove some configuration switches that didn't work

* Sun May 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.0-0.20040530.1mdk
- use a recent snap
- fix deps
- use the %%configure2_5x macro

* Mon Sep 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-5mdk
- close #5116

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-4mdk
- fix buildrequires and requires

* Thu Aug 07 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-3mdk
- rebuilt against new python

* Sun Jul 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-2mdk
- fix requires

* Sun Jul 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.1-1mdk
- 1.3.1
- rebuilt against latest requires and buildrequires
- use the "_requires_exceptions" magic, thanks Olivier Thauvin for 
  reminding me
- misc spec file fixes
- fix requires

* Sat Mar 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-1mdk
- 1.3.0
- drop P0, seems included upstream

* Sat Feb 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.5mdk
- possible fix for #1417 by Benjamin Pflugmann
- fix requires and buildrequires for the correct openssl and mysql packages
- rebuild against latest requires and buildrequires
- requires bind-utils

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.4mdk
- requires libpq3

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.3mdk
- build release

* Sat Dec 07 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.2mdk
- create the %{nsusr} user in %%pre
- fix "configure-without-libdir-spec"
- fix BuildRequires and Requires
- major spec file fixes

* Mon Nov 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.0-0.beta2.1mdk
- new version
- drop P0
- misc spec file fixes

* Sun Sep 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3b1-2mdk
- fixed the invalid ping command and call automake not automake-1.4,
  pointed out by Guillaume Bourque.

* Thu Aug 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3b1-1mdk
- initial cooker contrib

